---
updatedAt: 2026-02-12T21:01:17.000Z
agentTools:
  siteIndex: https://developer.jamf.com/llms.txt
  projectIndex: https://developer.jamf.com/jamf-pro/v11.14.0/llms.txt
---

# Get all of the previously synced Jamf Protect Plans with information about their associated configuration profile

Get all of the previously synced Jamf Protect Plans with information about their associated configuration profile

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Jamf Pro API",
    "termsOfService": "https://www.jamf.com/developer-resources/api-license-agreement",
    "version": "11.14.0"
  },
  "servers": [
    {
      "url": "https://yourServer.jamfcloud.com/api"
    }
  ],
  "x-readme": {
    "samples-languages": [
      "curl",
      "swift",
      "ruby",
      "python"
    ],
    "explorer-enabled": false,
    "proxy-enabled": true
  },
  "security": [
    {
      "Bearer": []
    },
    {
      "ApiClient": []
    },
    {
      "BasicAuth": [
        "/v1/auth/token"
      ]
    }
  ],
  "paths": {
    "/v1/jamf-protect/plans": {
      "get": {
        "tags": [
          "jamf-protect"
        ],
        "summary": "Get all of the previously synced Jamf Protect Plans with information about their associated configuration profile",
        "description": "Get all of the previously synced Jamf Protect Plans with information about their associated configuration profile",
        "parameters": [
          {
            "$ref": "#/components/parameters/page"
          },
          {
            "$ref": "#/components/parameters/page-size"
          },
          {
            "$ref": "#/components/parameters/sort"
          },
          {
            "$ref": "#/components/parameters/filter"
          }
        ],
        "responses": {
          "200": {
            "description": "Success.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PlanSearchResults"
                }
              }
            }
          }
        },
        "x-required-privileges": [
          "Read Jamf Protect Deployments"
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "JamfProtectPlan": {
        "type": "object",
        "properties": {
          "uuid": {
            "type": "string",
            "readOnly": true,
            "example": "b999dfd3-8fde-4bf2-aa56-b167c8b68071"
          },
          "id": {
            "type": "string",
            "readOnly": true,
            "example": "d265dfd3-8fde-4bf2-aa56-b167c8b68069"
          },
          "name": {
            "type": "string",
            "readOnly": true,
            "example": "Main Plan"
          },
          "description": {
            "type": "string",
            "readOnly": true,
            "example": "Plan for the majority of the company's computers"
          },
          "profileId": {
            "type": "integer",
            "readOnly": true,
            "example": 12
          },
          "profileName": {
            "type": "string",
            "readOnly": true,
            "example": "Main Plan (Jamf Protect)"
          },
          "scopeDescription": {
            "type": "string",
            "readOnly": true,
            "example": "All Computers"
          }
        }
      },
      "PlanSearchResults": {
        "type": "object",
        "properties": {
          "totalCount": {
            "type": "integer",
            "example": 3
          },
          "results": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/JamfProtectPlan"
            }
          }
        }
      }
    },
    "parameters": {
      "page": {
        "name": "page",
        "in": "query",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "integer",
          "default": 0
        }
      },
      "page-size": {
        "name": "page-size",
        "in": "query",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "integer",
          "default": 100
        }
      },
      "sort": {
        "name": "sort",
        "in": "query",
        "description": "Sorting criteria in the format: property:asc/desc. Default sort order is descending. Multiple sort criteria are supported and must be entered on separate lines in Swagger UI. In the URI the 'sort' query param is not duplicated for each sort criterion, e.g., ...&sort=name:asc,date:desc. Fields that can be sorted: status, updated",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "array",
          "items": {
            "type": "string"
          },
          "default": []
        }
      },
      "filter": {
        "name": "filter",
        "in": "query",
        "description": "Query in the RSQL format, allowing to filter results. Default filter is empty query - returning all results for the requested page. Fields allowed in the query: status, updated, version This param can be combined with paging and sorting. Example: filter=username!=admin and details==*disabled* and date<2019-12-15",
        "required": false,
        "style": "form",
        "explode": true,
        "schema": {
          "type": "string",
          "default": ""
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT"
      },
      "BasicAuth": {
        "type": "http",
        "description": "Basic auth is used only for obtaining bearer tokens from the /v1/auth/token endpoint",
        "scheme": "basic"
      },
      "ApiClient": {
        "type": "oauth2",
        "description": "Jamf Pro API Roles and Clients provide a client ID and secret for obtaining access tokens using the OAuth2 client_credentials grant type",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "/api/v1/oauth/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "x-si-base": "swagger.json",
  "x-github-repo": "jamf/Jamf-Pro-API-Schema",
  "x-github-sha": "5f8b85a61ce288205f7b44d478a117fb1acea0c6"
}
```